Reset SSH keys for a virtual server

Reset the SSH keys for your virtual server (VM). This is useful if you have lost your keys or suspect they have been compromised. The action initiates a server restart for the new keys to take effect.

VPS Services VM

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
keyIds array required · Example: ["2830","2887"]

Responses

200
data object required
data.accountId string required · Example: 20000
data.keyCount integer required · Example: 2
data.message string required · Example: SSH keys reset initiated. VM will restart automatically to apply changes.

Human-readable message.

data.success boolean required · Example: true

True for successful responses.

data.vmid string required · Example: 10000
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

500
code string required · Example: INTERNAL_ERROR

Machine-readable error code.

error string required · Example: Internal Server Error

HTTP status title (e.g. 'Bad Request').

message string required · Example: Failed to reset SSH keys

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/vm/{vmid}/reset-ssh-keys
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/vm/10000/reset-ssh-keys" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "keyIds": [
      "2830",
      "2887"
    ]
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "message": "SSH keys reset initiated. VM will restart automatically to apply changes.",
    "keyCount": 2,
    "vmid": "10000",
    "accountId": "20000"
  }
}
Request Body Example 1
{
  "keyIds": [
    "2830",
    "2887"
  ]
}